#ifndef TESTING_MOCK_GROUP_STARTER_H
#define TESTING_MOCK_GROUP_STARTER_H

#include <messaging/group_starter.h>
#include <messaging/group_manager.h>

#include <gmock/gmock.h>

#include <memory>

namespace testing
{
class MockGroupStarter : public messaging::GroupStarter
{
public:
    MOCK_METHOD1(create_group, std::shared_ptr<messaging::GroupManager>(const std::shared_ptr<messaging::Group>&));
    MOCK_METHOD1(accept_group, std::shared_ptr<messaging::GroupManager>(const std::shared_ptr<messaging::Group>&));
    MOCK_METHOD1(rejoin_group, std::shared_ptr<messaging::GroupManager>(const std::shared_ptr<messaging::Group>&));
    MOCK_METHOD1(reject_group, void(const std::shared_ptr<messaging::Group>&));
    MOCK_METHOD1(create_broadcast, std::shared_ptr<messaging::Broadcast>(const messaging::Members&));
};

}


#endif // TESTING_MOCK_GROUP_STARTER_H

